<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__common__functions" kind="group">
    <compoundname>group_scb_common_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga4cc4a30079873628f3e57ecff7c20791" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_ReadRxFifo</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_ReadRxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reads a data element directly out of the RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not check whether the RX FIFO has data before reading it.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Data from RX FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="833" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="830" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="369" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga64d034531ea5eb2695ed018d6a75da68" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetRxFifoLevel</definition>
        <argsstring>(CySCB_Type *base, uint32_t level)</argsstring>
        <name>Cy_SCB_SetRxFifoLevel</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>level</declname>
        </param>
        <briefdescription>
<para>Sets the RX FIFO level. </para>        </briefdescription>
        <detaileddescription>
<para>When there are more data elements in the RX FIFO than this level, the RX FIFO level interrupt is triggered.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>When there are more data elements in the FIFO than this level, the RX level interrupt is triggered. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="855" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="850" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="370" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga609852206a4ebd6e375bfadccc1309d1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetNumInRxFifo</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetNumInRxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the number of data elements currently in the RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number or data elements in RX FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="874" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="871" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="371" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga65d298c978eb0efa15c61663c7ff4b31" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetRxSrValid</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetRxSrValid</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the status of the RX FIFO Shift Register valid bit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>1 - RX shift register valid; 0 - RX shift register not valid. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="893" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="890" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="372" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga917e48e9c29d35cde17b8e7bb94ec3fb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearRxFifo</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_ClearRxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Clears the RX FIFO and shifter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;If there is partial data in the shifter, it is cleared and lost. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="915" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="909" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="373" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gab8c63a539a502984525706e94b9969d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_WriteTxFifo</definition>
        <argsstring>(CySCB_Type *base, uint32_t data)</argsstring>
        <name>Cy_SCB_WriteTxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Writes data directly into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not check whether the TX FIFO is not full before writing into it.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>Data to write to the TX FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="936" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="933" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="375" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga36285e337c94df91a4ebe5b1ee0fd43d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetTxFifoLevel</definition>
        <argsstring>(CySCB_Type *base, uint32_t level)</argsstring>
        <name>Cy_SCB_SetTxFifoLevel</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>level</declname>
        </param>
        <briefdescription>
<para>Sets the TX FIFO level. </para>        </briefdescription>
        <detaileddescription>
<para>When there are fewer data elements in the TX FIFO than this level, the TX FIFO level interrupt is triggered.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>When there are fewer data elements in the FIFO than this level, the TX level interrupt is triggered. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="959" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="954" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="376" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga63f43347a32c0c4c27f11a9b3fa448c2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetNumInTxFifo</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetNumInTxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the number of data elements currently in the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number or data elements in the TX FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="978" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="975" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="377" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga29625f5e80763aeb9d8008f58d7ac342" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetTxSrValid</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetTxSrValid</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the status of the TX FIFO Shift Register valid bit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>1 - TX shift register valid; 0 - TX shift register not valid. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="997" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="994" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="378" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga00df1df5597c1e370acd9c2e9d82455b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SCB_IsTxComplete</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_IsTxComplete</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Checks whether the TX FIFO and Shifter are empty and there is no more data to send. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to SPI the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>If true, transmission complete. If false, transmission is not complete. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1016" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1013" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="379" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga0c2569d2d15d292c1a36ed2159defb46" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearTxFifo</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_ClearTxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Clears the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The TX FIFO clear operation also clears the shift register. Thus the shifter could be cleared in the middle of a data element transfer. Thia results in "ones" being sent on the bus for the remainder of the transfer. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1040" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1034" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="380" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gafa7a0d6cf0d3912a044535027acdeb64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetByteMode</definition>
        <argsstring>(CySCB_Type *base, bool byteMode)</argsstring>
        <name>Cy_SCB_SetByteMode</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>byteMode</declname>
        </param>
        <briefdescription>
<para>Sets whether the RX and TX FIFOs are in byte mode. </para>        </briefdescription>
        <detaileddescription>
<para>The FIFOs are either 16-bit wide or 8-bit wide (byte mode). When the FIFO is in byte mode it is twice as deep. See the device datasheet for FIFO depths.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>byteMode</parametername>
</parameternamelist>
<parameterdescription>
<para>If true, TX and RX FIFOs are 8-bit wide. If false, the FIFOs are 16-bit wide. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1069" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1059" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="382" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga9d680995b0ad16dffe53a93c121d9272" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetInterruptCause</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetInterruptCause</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the mask of bits showing the source of the current triggered interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>This is useful for modes of operation where an interrupt can be generated by conditions in multiple interrupt source registers.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The mask with the OR of the following conditions that have been triggered. See <ref kindref="compound" refid="group__group__scb__common__macros__intr__cause">SCB Interrupt Causes</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1091" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1088" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="384" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga5d2cbfbc9abd121cb8c416b3e32793bc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetRxInterruptStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetRxInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the RX interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the current status of the RX interrupt sources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of the RX interrupt sources. Each constant is a bit field value. The value returned may have multiple bits set to indicate the current status. See <ref kindref="compound" refid="group__group__scb__common__macros__rx__intr">RX Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1114" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1111" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="386" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga88953f39b6d4177b53e1c44239681f83" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetRxInterruptMask</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetRxInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Writes the RX interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register configures which bits from the RX interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Enabled RX interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__rx__intr">RX Interrupt Statuses</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1137" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1132" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="387" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga9b947154460358a95f487728956c2c09" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetRxInterruptMask</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetRxInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the RX interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the RX interrupt request register trigger can an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Enabled RX interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__rx__intr">RX Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1158" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1155" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="388" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga5a18ae8ff92b686e37e8bc4a04fefd53" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetRxInterruptStatusMasked</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetRxInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the RX interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains a logical AND of corresponding bits from the RX interrupt request and mask registers. This function is intended to be used in the interrupt service routine to identify which of the enabled RX interrupt sources caused the interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled RX interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__rx__intr">RX Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1182" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1179" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="389" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gaee2b5b3e446dcd75979744c0e646007a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearRxInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_ClearRxInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Clears the RX interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The RX interrupt sources to be cleared. See <ref kindref="compound" refid="group__group__scb__common__macros__rx__intr">RX Interrupt Statuses</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_RX_FIFO_LEVEL interrupt source is not cleared when the RX FIFO has more entries than the level.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_RX_NOT_EMPTY interrupt source is not cleared when the RX FIFO is not empty.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_RX_FULL interrupt source is not cleared when the RX FIFO is full. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1213" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1207" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="390" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga160c716b64b2a46bb728a988cc2596c0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetRxInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetRxInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Sets the RX interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The RX interrupt sources to set in the RX interrupt request register. See <ref kindref="compound" refid="group__group__scb__common__macros__rx__intr">RX Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1235" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1230" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="391" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gaa2c4b4c6ad4a82f81128da1bb7405ff8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetTxInterruptStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetTxInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the TX interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the current status of the TX interrupt sources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of TX interrupt sources. Each constant is a bit field value. The value returned may have multiple bits set to indicate the current status. See <ref kindref="compound" refid="group__group__scb__common__macros__tx__intr">TX Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1258" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1255" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="393" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gac262946f7afd9e5c6d0d5d73a63b4a9b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetTxInterruptMask</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetTxInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Writes the TX interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register configures which bits from the TX interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Enabled TX interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__tx__intr">TX Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1281" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1276" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="394" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gabb3559ffb3a21072ccb44dae1c72af3e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetTxInterruptMask</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetTxInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the TX interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the TX interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Enabled TX interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__tx__intr">TX Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1302" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1299" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="395" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga70aa562e7df60c7d97bb02679aefe39f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetTxInterruptStatusMasked</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetTxInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the TX interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains a logical AND of corresponding bits from the TX interrupt request and mask registers. This function is intended to be used in the interrupt service routine to identify which of enabled TX interrupt sources caused the interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled TX interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__tx__intr">TX Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1326" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1323" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="396" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga8d7e288f1ce7ccfbac6680b9b357fa11" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearTxInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_ClearTxInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Clears the TX interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The TX interrupt sources to be cleared. See <ref kindref="compound" refid="group__group__scb__common__macros__tx__intr">TX Interrupt Statuses</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_TX_FIFO_LEVEL interrupt source is not cleared when the TX FIFO has fewer entries than the TX level.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_TX_NOT_FULL interrupt source is not cleared when the TX FIFO has empty entries in the TX FIFO.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_TX_EMPTY interrupt source is not cleared when the TX FIFO is empty.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;CY_SCB_INTR_TX_UNDERFLOW interrupt source is not cleared when the TX FIFO is empty. Put data into the TX FIFO before clearing it. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1359" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1353" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="397" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga92ad859c8fc1bbb61829dccee9de7d81" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetTxInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetTxInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Sets TX interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The TX interrupt sources to set in the TX interrupt request register. See <ref kindref="compound" refid="group__group__scb__common__macros__tx__intr">TX Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1381" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1376" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="398" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga34602fe769b0f913e8b4166eda530388" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetMasterInterruptStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetMasterInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the master interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the current status of the master interrupt sources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of the master interrupt sources. Each constant is a bit field value. The value returned may have multiple bits set to indicate the current status. See <ref kindref="compound" refid="group__group__scb__common__macros__master__intr">Master Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1404" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1401" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="400" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga0f90d52d67bf39cdf78bc8de61cd9627" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetMasterInterruptMask</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetMasterInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Writes the master interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the master interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The master interrupt sources to be enable. See <ref kindref="compound" refid="group__group__scb__common__macros__master__intr">Master Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1427" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1422" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="401" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gafe8038f3441952c06a5d30adf2252b9d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetMasterInterruptMask</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetMasterInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the master interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the master interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Enabled master interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__master__intr">Master Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1448" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1445" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="402" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga0f822aec978859cfe6764847eebe4abc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetMasterInterruptStatusMasked</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetMasterInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the master interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains a logical AND of corresponding bits from the master interrupt request and mask registers. This function is intended to be used in the interrupt service routine to identify which of the enabled master interrupt sources caused the interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled master interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__master__intr">Master Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1473" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1470" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="403" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gad85dd18e458ba388ad4d6ad7e8c55778" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearMasterInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_ClearMasterInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Clears master interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The master interrupt sources to be cleared. See <ref kindref="compound" refid="group__group__scb__common__macros__master__intr">Master Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1496" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1490" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="404" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gab1a9c7c201923276d8310829fa43baed" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetMasterInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetMasterInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Sets master interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The master interrupt sources to set in the master interrupt request register. See <ref kindref="compound" refid="group__group__scb__common__macros__master__intr">Master Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1518" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1513" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="405" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga6fd9d349b8acb303ff1ef728e29b0e22" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetSlaveInterruptStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetSlaveInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the slave interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the current status of the slave interrupt sources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of the slave interrupt sources. Each constant is a bit field value. The value returned may have multiple bits set to indicate the current status. See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1541" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1538" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="407" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gaeba4fe92683be8638a7596c3ab54359b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetSlaveInterruptMask</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetSlaveInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Writes slave interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the slave interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Enabled slave interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1565" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1560" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="408" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga2008a97e40d6a14298bfcf08afac7c24" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetSlaveInterruptMask</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetSlaveInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the slave interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the slave interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Enabled slave interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1587" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1584" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="409" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gad2391f2a065128fb7a04aa51fe9d4433" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetSlaveInterruptStatusMasked</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetSlaveInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the slave interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains a logical AND of corresponding bits from the slave interrupt request and mask registers. This function is intended to be used in the interrupt service routine to identify which of enabled slave interrupt sources caused the interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled slave interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1612" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1609" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="410" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga8f62b77479ad1ba27640a98811d465a8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearSlaveInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_ClearSlaveInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Clears the slave interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Slave interrupt sources to be cleared. See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1635" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1629" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="411" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga0f7e9b47fee87f0364ce35a4f429b4d4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetSlaveInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetSlaveInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Sets slave interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The slave interrupt sources to set in the slave interrupt request register See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1657" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1652" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="412" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gaaebe015505e14c548255265af4fb77d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetI2CInterruptStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetI2CInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the I2C interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the current status of the I2C interrupt sources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of the I2C interrupt sources. Each constant is a bit field value. The value returned may have multiple bits set to indicate the current status. See <ref kindref="compound" refid="group__group__scb__common__macros__slave__intr">Slave Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1680" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1677" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="414" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga213ab7fca61b18cb432e91be97151d42" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetI2CInterruptMask</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetI2CInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Writes the I2C interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the I2C interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Enabled I2C interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__i2c__intr">I2C Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1703" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1698" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="415" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga7c051a76e2379b38fbb0c466f1f7dbd8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetI2CInterruptMask</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetI2CInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the I2C interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the I2C interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Enabled I2C interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__i2c__intr">I2C Interrupt Statuses</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1724" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1721" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="416" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga6156f427bf2976eca07458e1a557a433" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetI2CInterruptStatusMasked</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetI2CInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the I2C interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains a logical AND of corresponding bits from I2C interrupt request and mask registers. This function is intended to be used in the interrupt service routine to identify which of enabled I2C interrupt sources caused the interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled I2C interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros__i2c__intr">I2C Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1748" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1745" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="417" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga89b1ccc2fcdac4dc12e430bb8865a693" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearI2CInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_ClearI2CInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Clears I2C interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C interrupt sources to be cleared. See <ref kindref="compound" refid="group__group__scb__common__macros__i2c__intr">I2C Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1771" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1765" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="418" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gac9ed33ba6015b0b4ad116b72a5685a97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetSpiInterruptStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetSpiInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the SPI interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains the current status of the SPI interrupt sources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of SPI interrupt sources. Each constant is a bit field value. The value returned may have multiple bits set to indicate the current status See <ref kindref="compound" refid="group__group__scb__common__macros___spi_intr_statuses">SPI Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1793" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1790" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="420" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gaf3b4740908fcc11c882fbcebcbf79158" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SetSpiInterruptMask</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_SetSpiInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Writes the SPI interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the SPI interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Enabled SPI interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros___spi_intr_statuses">SPI Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1816" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1811" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="421" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gad0ffac666d098ad1eb450defd472ac6f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetSpiInterruptMask</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetSpiInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the SPI interrupt mask register. </para>        </briefdescription>
        <detaileddescription>
<para>This register specifies which bits from the SPI interrupt request register can trigger an interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Enabled SPI interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros___spi_intr_statuses">SPI Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1837" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1834" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="422" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1gabe022dae40dd39d861033ea44ea3e095" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_GetSpiInterruptStatusMasked</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_GetSpiInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the SPI interrupt masked request register. </para>        </briefdescription>
        <detaileddescription>
<para>This register contains a logical AND of corresponding bits from the SPI interrupt request and mask registers. This function is intended to be used in the interrupt service routine to identify which of enabled SPI interrupt sources caused the interrupt event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current status of enabled SPI interrupt sources. See <ref kindref="compound" refid="group__group__scb__common__macros___spi_intr_statuses">SPI Interrupt Statuses</ref> for the set of constants. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1861" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1858" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="423" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__common__functions_1ga8f78da1f7bdf7b0e6603652c78577073" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_ClearSpiInterrupt</definition>
        <argsstring>(CySCB_Type *base, uint32_t interruptMask)</argsstring>
        <name>Cy_SCB_ClearSpiInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interruptMask</declname>
        </param>
        <briefdescription>
<para>Clears SPI interrupt sources in the interrupt request register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interruptMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The SPI interrupt sources to be cleared. See <ref kindref="compound" refid="group__group__scb__common__macros___spi_intr_statuses">SPI Interrupt Statuses</ref> for the set of constants. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1884" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="1878" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="424" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>